--============================================================================
--  credits.lua
--  Copyright (c) 2009, Bamtang Games. All Rights Reserved.
------------------------------------------------------------------------------
require( "scripts/style.lua" );

MakeDialog {
    name = "creditswindow",
    Bitmap {
        image=gLocalizedPath.."images/ae_credits",

        Bitmap {
            x = 0, y = 130,
            w = 800, h = 390,
        
			CreditsWindow { 
				slotheight = 430,
				x = 0, y = slotheight,
				w = 800, h = 430*4;--h = 430*7.6,
				font = titleFont,
				fontsize = 20,
				fontcolor = Color(255, 255, 255, 255),
				headercolor = Color(254, 255, 149, 255),
				headersize = 24,
				sectioncolor = Color(254, 255, 149, 255),
				sectionsize = 40,
				columngap = 50,
				columnwidth = 325,
				time = 7000,
				file = "credits/credits.txt",
            };
        };

        SetStyle(ButtonStyle);
        Button {
            x = kCenter + 4;
            y = 540;
            name = "back";
            default = true;
            cancel = true;
            graphics = BackButtonGraphics;
            command =
                function()
                    PopModal("creditswindow");
                end
        };
    };

    FadeWindow {
        w = 800;
        h = 600;
        name = "FadeWindow";
        Bitmap {
            image = "images/panelblack";
            name = "bmpPanelBlack";
            x = 0;
            y = 0;
        };
    };
}
